<div ng-controller="UsuarioCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <!--<li>
                  <a ui-sref="home.dashboard">Usuario</a>
                </li>-->
              </ul>
            </div>
        </div>
        <div class="card-container">
			<div class="panel panel-success">
				<div class="panel-heading">
					<h3 class="panel-title"><i class="fa fa-users"></i> Usuarios</h3>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-md-4">
							<input type="text" ng-model="buscar" class="form-control" placeholder="Buscar Usuario">
						</div>
						<div class="col-md-4 col-md-offset-4">
							<button class="btn btn-success btn-block btn-rounded btn-bordered-10" ng-if="permisosHas('usuario.registrar')" ng-click="clear();openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar usuario</button>				
						</div>
					</div>
					<br>
					<div class="loading-container" ng-if="flag">
                        <div class="loading"></div>
                        <div id="loading-text">Cargando</div>
                    </div>
					<div class="row" ng-if="!flag">
						<div class="col-md-12">
							<div class="table-responsive">
								<table class="table table-hover">
									<thead>
										<tr>
											<th>Nombres</th>
											<th>Celular</th>
											<th>Email</th>
											<th>Cargo</th>
											<th>Nick</th>
											<th ng-if="permisosHas('usuario.configuracion')">Configuración</th>
											<!-- <th>Rol</th> -->
											<th class="text-center" ng-if="permisosHas('usuario.eliminar') || permisosHas('usuario.actualizar')">Opciones</th>
										</tr>
									</thead>
									<tbody>
										<tr dir-paginate="us in usuarios |filter: buscar | itemsPerPage: 10" pagination-id="us.id_user">
											<td>{{us.fullname}}</td>
											<td>{{us.telefono}}</td>
											<td>{{us.email}}</td>
											<td>{{us.cargo}}</td>
											<td>{{us.nick}}</td>
											<td ng-if="permisosHas('usuario.configuracion')">
												<a ui-sref="home.usuario.configuracion" ng-click="redirectToOpciones(us)" class="btn btn-primary btn-xs"><i class="fa fa-cog"></i> Configurar</a>
											</td>
											<!-- <td>{{us.rol}}</td> -->
											<td class="text-center" ng-if="permisosHas('usuario.eliminar') || permisosHas('usuario.actualizar')">
												<button class="btn btn-info btn-xs" ng-click="load(us);openModalSave($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-edit"></i></button>
												<button class="btn btn-danger btn-xs" ng-click="load(us);openModalDelete($event)" data-options="splash-2 splash-ef-14"><i class="fa fa-trash"></i></button>
											</td>
										</tr>
									</tbody>
								</table>
							</div>
							<div class="pull-right">
								<dir-pagination-controls pagination-id="us.id_user"></dir-pagination-controls>
							</div>
						</div>
					</div>
					
				</div>
			</div>
		</div>
	</div>

	<script type="text/ng-template" id="modal_usuario.html">
        <!-- <div class="modal-header">
            <h3 class="modal-title custom-font">I'm a modal!</h3>
        </div> -->
        <div class="modal-body">
			<form>
				<legend class="text-center"><span ng-show="obj.crud">Crear</span><span ng-hide="obj.crud">Actualizar datos del </span> Usuario</legend>
					
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="">Nombres |<span class="obligatorio"> (obligatorio)</span></label>
							<input type="text" class="form-control" id="nombre" ng-model="obj.nombre" placeholder="Nombres">
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label for="">Apellido paterno</label>
							<input type="text" class="form-control" id="apellido_paterno" ng-model="obj.apellido_paterno" placeholder="Apellido Paterno">
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
							<label for="">Apellido materno</label>
							<input type="text" class="form-control" id="apellido_materno" ng-model="obj.apellido_materno" placeholder="Apellido Materno">
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label for="">DNI</label>
							<input type="text" class="form-control" id="dni" ng-model="obj.dni" placeholder="DNI">
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
							<label for="">Teléfono</label>
							<input type="text" class="form-control" id="telefono" ng-model="obj.telefono" placeholder="Celular">
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="">Correo electrónico</label>
							<input type="text" class="form-control" id="email" ng-model="obj.email" placeholder="@yahoo.com,  @hotmail.com, @gmail.com">
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group">
							<label for="">Cargo en la empresa |<span class="obligatorio"> (obligatorio)</span></label>
							<select class="form-control" ng-model="obj.id_cargo" ng-change="changeCargo()" ng-options="car.id as car.nombre for car in cargos">
                                <option value="">-- Seleccione Cargo --</option>
                            </select>
						</div>
					</div>
				</div>
				<div ng-if="viewOC!=0" class="row">
					<div class="col-md-12">
						<div class="form-group">
							<div ng-if="viewOC===1">
								<label class="control-label">Operador |<span class="obligatorio"> (obligatorio)</span></label>
		                        <select class="form-control" ng-model="obj.id_cliente_operador" 
		                        ng-options="op.id as op.nombre for op in operadores">
		                            <option value="">-- Seleccione Operador --</option>
		                        </select>
							</div>
							<div ng-if="viewOC===2">
								<label class="control-label">Cliente |<span class="obligatorio"> (obligatorio)</span></label>  
		                        <select class="form-control" ng-model="obj.id_cliente_operador" 
		                        ng-options="cl.id as cl.razon_social for cl in clientes">
		                            <option value="">-- Seleccione Cliente --</option>
		                        </select>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label for="">Usuario |<span class="obligatorio"> (obligatorio)</span></label>
							<input type="text" class="form-control" id="nick" ng-model="obj.nick" placeholder="Usuario" uib-tooltip="El nombre de usuario debe tener mínimo 6 caracteres" tooltip-placement="top" tooltip-trigger="mouseenter" tooltip-enable="!obj.nick" tooltip-class="tooltipClass">
						</div>
					</div>
					<div class="col-md-6">
						<div class="form-group">
							<label ng-if="obj.crud" for="">Contraseña |<span class="obligatorio"> (obligatorio)</span></label>
							<label ng-if="!obj.crud" for="">Contraseña</label>
							<input type="password" class="form-control" id="password" ng-model="obj.password" placeholder="Contraseña" uib-tooltip="La contraseña de usuario debe tener mínimo 6 caracteres" tooltip-placement="top" tooltip-trigger="mouseenter" tooltip-enable="!obj.password" tooltip-class="tooltipClass">
						</div>
					</div>
				</div>

				<div class="text-center">
	                <button type="button" class="btn btn-primary" ng-click="createEdit()">
					<span ng-if="obj.crud"><i class="fa fa-save"></i> Guardar</span><span ng-if="!obj.crud"> <i class="fa fa-refresh"></i> Actualizar</span></button>
					<button type="button" class="btn btn-default" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
	            </div>	
				
			</form>
		</div>
    </script>

    <script type="text/ng-template" id="modal_usuario_delete.html">
        <div class="modal-header">
        	<div class="text-center">
        		<h3 class="modal-title custom-font">¿Desea eliminar este usuario?</h3>
        	</div>            
        </div>
        <div class="modal-body">
			<div class="text-center">
				<h3>{{obj.fullname}}</h3>
				<button type="button" class="btn btn-default" ng-click="cancel()"><i class="fa fa-close"></i> Cancelar</button>
				<button type="button" class="btn btn-danger" ng-click="ok()"><i class="fa fa-trash"></i> Eliminar</button>
			</div>
		</div>
    </script>

</div>